## org.mortbay.jetty.servlet
Class HashSessionManager

    java.lang.Object
      |
      +--org.mortbay.jetty.servlet.AbstractSessionManager
            |
            +--org.mortbay.jetty.servlet.HashSessionManager

All Implemented Interfaces:
  LifeCycle, java.io.Serializable, SessionManager

public class HashSessionManager
extends AbstractSessionManager

An in-memory implementation of SessionManager.

Version:
  $Id: HashSessionManager.java,v 1.14 2002/12/14 13:02:59 bretts Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`AbstractSessionManager.Session`

Nested classes inherited from class org.mortbay.jetty.servlet.SessionManager
`SessionManager.Session`

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`__24SessionDestroyed, __distantFuture`

Fields inherited from interface org.mortbay.jetty.servlet.SessionManager
`__MaxAge, __SessionCookie, __SessionDomain, __SessionPath, __SessionURL, __SessionUrlPrefix`

Constructor Summary
`HashSessionManager()`
`HashSessionManager(java.util.Random random)`

Methods inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`addEventListener, getHttpSession, getMaxInactiveInterval, getMaxSessions, getMinSessions, getScavengePeriod, getSessionMap, getSessions, getUseRequestedId, getWorkerName, initialize, isStarted, newHttpSession, removeEventListener, resetStats, setMaxInactiveInterval, setScavengePeriod, setUseRequestedId, setWorkerName, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashSessionManager

    public HashSessionManager()

### HashSessionManager

    public HashSessionManager(java.util.Random random)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.